<?xml version="1.0" encoding="utf-8"?>
<!-- Demo PLCopen project — conveyor sorter. Deliberately vulnerable. -->
<project xmlns="http://www.plcopen.org/xml/tc6_0201">
  <types>
    <pous>
      <pou name="ConveyorCtrl" pouType="program">
        <interface>
          <localVars>
            <variable name="AdminPwd">
              <type><string/></type>
              <initialValue><simpleValue value="password"/></initialValue>
            </variable>
            <variable name="Belt">
              <type>
                <array>
                  <dimension lower="0" upper="3"/>
                  <baseType><INT/></baseType>
                </array>
              </type>
            </variable>
          </localVars>
          <inputVars>
            <variable name="Slot"><type><INT/></type></variable>
          </inputVars>
        </interface>
        <body>
          <ST>
            <xhtml xmlns="http://www.w3.org/1999/xhtml">Belt[Slot] := 1;
Ftp_Send(HOST := '192.168.1.5', PORT := 21, ENCRYPT := FALSE);
</xhtml>
          </ST>
        </body>
      </pou>
    </pous>
  </types>
</project>
